Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228971 - Review Request: glimmer - System for finding genes in microbial DNA
Summary: Review Request: glimmer - System for finding genes in microbial DNA
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 228970
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-16 10:19 UTC by Christian Iseli
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-24 00:21:03 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Christian Iseli 2007-02-16 10:19:44 UTC
Spec URL: ftp://ftp.licr.org/pub/glimmer.spec
SRPM URL: ftp://ftp.licr.org/pub/glimmer-3.02-0.src.rpm
Description:
Glimmer is a system for finding genes in microbial DNA, especially the genomes
of bacteria, archaea, and viruses. Glimmer (Gene Locator and Interpolated
Markov ModelER) uses interpolated Markov models (IMMs) to identify the coding
regions and distinguish them from noncoding DNA.

This packages requires the elph package also submitted for review: #228970

Comment 1 Parag AN(पराग) 2007-02-22 10:02:39 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM
+ source files match upstream.
3e933b79c7d019eb48fa87b9fda1e1ee  glimmer302.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.

APPROVED.

Comment 2 Christian Iseli 2007-02-22 13:24:18 UTC
New Package CVS Request
=======================
Package Name: glimmer
Short Description: System for finding genes in microbial DNA
Owners: Christian.Iseli@licr.org
Branches: FC-5 FC-6 devel
InitialCC: 



Comment 3 Dennis Gilmore 2007-02-22 13:40:55 UTC
branched

Reviewer please set the fedora-review flag

Comment 4 Christian Iseli 2007-02-24 00:21:03 UTC
Imported and built.

Thanks Parag for the review :-)



Note You need to log in before you can comment on or make changes to this bug.